Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04065 Compiling Minor Have not tried Oct 3, 2010, 13:17 Oct 19, 2010, 05:52
Tester derrickr View Status Public Platform
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver
Version 0.139u3 Fixed in Version 0.140 Build
Summary 04065: Default 'tiny' does not build
Description Attempting default tiny compile errors out:
Linking mametiny.exe...
obj/windows/mametiny/libemu.a(ldpr8210.o):ldpr8210.c:(.text+0x5c5): undefined reference to `I8049'
obj/windows/mametiny/libemu.a(ldpr8210.o):ldpr8210.c:(.text+0x6a5): undefined reference to `I8748'
obj/windows/mametiny/libemu.a(ldvp931.o):ldvp931.c:(.text+0x515): undefined reference to `I8049'
collect2: ld returned 1 exit status
make: *** [mametiny.exe] Error 1
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.06744
ShimaPong
Tester
Oct 5, 2010, 11:28
edited on: Oct 5, 2010, 11:30
This is the same problem as 03930. If you can make these symbols point to the linker in DRVLIBS phase instead of LIBEMU, the linker will recognize normally and not fail to link.
So, in case of tiny...

1 ) Copy "$(EMUMACHINE)/ldpr8210.o \" and "$(EMUMACHINE)/ldvp931.o \" from emu.mak to tiny.mak

or

2 ) Add the driver which includes mcs48.c (e.g. finalizr.c) in tiny.mak (and tiny.c)